# Generated by go2rpm
%bcond_without check

# https://github.com/mailru/easyjson
%global goipath         github.com/mailru/easyjson
Version:                0.7.6

%gometa

%global common_description %{expand:
Package Easyjson provides a fast and easy way to marshal/unmarshal Go structs
to/from JSON without the use of reflection. In performance tests, easyjson
outperforms the standard encoding/json package by a factor of 4-5x, and other
JSON encoding packages by a factor of 2-3x.

Easyjson aims to keep generated Go code simple enough so that it can be easily
optimized or fixed. Another goal is to provide users with the ability to
customize the generated code by providing options not available with the
standard encoding/json package, such as generating "snake_case" names or
enabling omitempty behavior by default.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Release:        %mkrel 2
Summary:        Fast JSON serializer for Go
Group:          Development/Other

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/josharian/intern)

%description
%{common_description}

%gopkg

%prep
%goprep

%build
for cmd in easyjson; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
# https://github.com/mailru/easyjson/issues/227
%gocheck -d tests
%endif

%files
%license LICENSE
%doc README.md
%{_bindir}/*

%gopkgfiles


%changelog
* Wed Mar 16 2022 umeabot <umeabot> 0.7.6-2.mga9
+ Revision: 1794161
- Mageia 9 Mass Rebuild

* Tue Nov 09 2021 guillomovitch <guillomovitch> 0.7.6-1.mga9
+ Revision: 1755505
- imported package golang-github-mailru-easyjson

